Bug 1273714 - python glanceclient now defaults to v2
python glanceclient now defaults to v2
Status: VERIFIED
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: async
: 8.0 (Liberty)
Assigned To: Charelle Collett
Martin Lopes
: Documentation, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 01:55 EDT by Flavio Percoco
Modified: 2017-02-22 20:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Flavio Percoco 2015-10-21 01:55:57 EDT
As of Liberty, python-glanceclient started using v2 as the default API version.

This means that users running commands without specifying the version explicitly may face some issues as there are some incompatibilities between these 2 versions.

For users willing to stick to v1 of the API, it's important to let them know that: `--os-image-api-version 1` must be passed through the CLI.

You can find more information about these incompatibilities here: 


https://wiki.openstack.org/wiki/Glance-v2-v1-client-compatability
Comment 1 Lucy Bopf 2017-02-20 20:00:16 EST
Assigning to Charelle for review.
Comment 3 Martin Lopes 2017-02-22 20:41:34 EST
Looks good to me. Merged.

Note You need to log in before you can comment on or make changes to this bug.